import Link from "next/link"

type Props = {
    idPage: number
    allNewsPage: number
}

const ListLinks = ({ idPage, allNewsPage }: Props) => {

    if (idPage == 0) {
        return (
            <div className="menuNewsPage">
                <Link href={`/news/${+idPage + 1}`}>Следующие</ Link>
            </div>
        )
    } else {
        if (idPage > 0 && idPage < allNewsPage) {
            return (
                <div className="menuNewsPage">
                    <Link href={`/news/${idPage - 1}`}>Предыдущие</Link>
                    <Link href={`/news/${+idPage + 1}`}>Следующие</ Link>
                </div>
            )
        } else {
            if (idPage == allNewsPage) {
                return (
                    <div className="menuNewsPage">
                        <Link href={`/news/${idPage - 1}`}>Предыдущие</Link>
                    </div>
                )
            }
        }
    }
}

export default ListLinks