import prisma from '@/lib/prisma'
import OneNews from './components/OneNews';
import { useRouter } from 'next/navigation'
import { MenuNewsPage010 } from './news/components/NavButton';


export default async function Home() {
    // const router = useRouter()
    const newsBase = await prisma.news.findMany({
        take: 10,
        orderBy: {
            id: 'desc'
        }
    });

    return (
        <div>
            {newsBase.map((oneNews) => {
                console.log(oneNews)
                return (
                    <div key={oneNews.id} className='news'>
                        <OneNews oneNews={oneNews} />
                    </div>
                )
            })}
            <div className="menuNewsPage">
                <MenuNewsPage010 text='Все новости' url='/news' />
            </div>
        </div >
    );
}